org.eclipse.oomph.targlets.impl

## Class TargletImpl

- java.lang.Object
- - org.eclipse.emf.common.notify.impl.BasicNotifierImpl
  - - org.eclipse.emf.ecore.impl.BasicEObjectImpl
    - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl
      - - org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
        - - org.eclipse.oomph.base.impl.ModelElementImpl
          - - org.eclipse.oomph.targlets.impl.TargletImpl

- All Implemented Interfaces:
    Notifier, EObject, EStructuralFeature.Internal.DynamicValueHolder, InternalEObject, ModelElement, Targlet

      public class TargletImpl
      extends ModelElementImpl
      implements Targlet

  An implementation of the model object 'Targlet'.

  The following features are implemented:

  - `Name`
  - `Requirements`
  - `Source Locators`
  - `Installable Unit Generators`
  - `Repository Lists`
  - `Active Repository List Name`
  - `Active Repository List`
  - `Active Repositories`
  - `Include Sources`
  - `Include All Platforms`
  Generated

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `MinimalEObjectImpl.Container.Dynamic`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `MinimalEObjectImpl.Container`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `BasicEObjectImpl.EPropertiesHolder, BasicEObjectImpl.EPropertiesHolderBaseImpl, BasicEObjectImpl.EPropertiesHolderImpl`

    - ### Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `BasicNotifierImpl.EAdapterList<E extends Object & Adapter>, BasicNotifierImpl.EObservableAdapterList`

    - ### Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject

      `InternalEObject.EStore`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected static String` | `ACTIVE_REPOSITORY_LIST_NAME_EDEFAULT` The default value of the '`Active Repository List Name`' attribute.
    `protected String` | `activeRepositoryListName` The cached value of the '`Active Repository List Name`' attribute.
    `protected static boolean` | `INCLUDE_ALL_PLATFORMS_EDEFAULT` The default value of the '`Include All Platforms`' attribute.
    `protected static boolean` | `INCLUDE_SOURCES_EDEFAULT` The default value of the '`Include Sources`' attribute.
    `protected boolean` | `includeAllPlatforms` The cached value of the '`Include All Platforms`' attribute.
    `protected boolean` | `includeSources` The cached value of the '`Include Sources`' attribute.
    `protected EList<IUGenerator>` | `installableUnitGenerators` The cached value of the '`Installable Unit Generators`' containment reference list.
    `protected String` | `name` The cached value of the '`Name`' attribute.
    `protected static String` | `NAME_EDEFAULT` The default value of the '`Name`' attribute.
    `protected EList<RepositoryList>` | `repositoryLists` The cached value of the '`Repository Lists`' containment reference list.
    `protected EList<Requirement>` | `requirements` The cached value of the '`Requirements`' containment reference list.
    `protected EList<SourceLocator>` | `sourceLocators` The cached value of the '`Source Locators`' containment reference list.

    - ### Fields inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `annotations`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eContainer`

    - ### Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

    - ### Fields inherited from interface org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder

      `NIL`

    - ### Fields inherited from interface org.eclipse.emf.ecore.InternalEObject

      `EOPPOSITE_FEATURE_BASE`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `TargletImpl()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `eGet(int featureID, boolean resolve, boolean coreType)`
    `NotificationChain` | `eInverseRemove(InternalEObject otherEnd, int featureID, NotificationChain msgs)`
    `boolean` | `eIsSet(int featureID)`
    `void` | `eSet(int featureID, Object newValue)`
    `protected EClass` | `eStaticClass()`
    `void` | `eUnset(int featureID)`
    `EList<Repository>` | `getActiveRepositories()`
    `RepositoryList` | `getActiveRepositoryList()`
    `String` | `getActiveRepositoryListName()`
    `EList<IUGenerator>` | `getInstallableUnitGenerators()`
    `String` | `getName()`
    `EList<RepositoryList>` | `getRepositoryLists()`
    `EList<Requirement>` | `getRequirements()`
    `EList<SourceLocator>` | `getSourceLocators()`
    `boolean` | `isIncludeAllPlatforms()`
    `boolean` | `isIncludeSources()`
    `void` | `setActiveRepositoryListName(String newActiveRepositoryListName)`
    `void` | `setIncludeAllPlatforms(boolean newIncludeAllPlatforms)`
    `void` | `setIncludeSources(boolean newIncludeSources)`
    `void` | `setName(String newName)`
    `String` | `toString()`

    - ### Methods inherited from class org.eclipse.oomph.base.impl.ModelElementImpl

      `eInverseAdd, eInvoke, getAnnotation, getAnnotations`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container

      `eBasicSetContainer, eInternalContainer`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.MinimalEObjectImpl

      `dynamicGet, dynamicSet, dynamicUnset, eAdapters, eBasicAdapterArray, eBasicAdapterListeners, eBasicAdapters, eBasicHasAdapters, eBasicProperties, eBasicSetAdapterArray, eBasicSetAdapterListeners, eBasicSetContainer, eBasicSetContainerFeatureID, eBasicSetSettings, eBasicSettings, eClass, eContainerFeatureID, eContents, eCrossReferences, eDeliver, eDirectResource, eDynamicClass, eHasSettings, eIsProxy, eProperties, eProxyURI, eSetClass, eSetDeliver, eSetDirectResource, eSetProxyURI, eSettings`

    - ### Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

      `eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDynamicBasicRemoveFromContainer, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eInternalResource, eInverseAdd, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetResource, eSetStore, eSetting, eSettingDelegate, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

    - ### Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl

      `eNotificationRequired, eNotify`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.eclipse.oomph.base.ModelElement

      `getAnnotation, getAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

    - ### Methods inherited from interface org.eclipse.emf.ecore.InternalEObject

      `eNotificationRequired`

- - ### Field Detail

    - #### NAME_EDEFAULT

          protected static final String NAME_EDEFAULT

      The default value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### name

          protected String name

      The cached value of the '`Name`' attribute.
      See Also:
        `getName()`
      Generated
      Ordered

    - #### requirements

          protected EList<Requirement> requirements

      The cached value of the '`Requirements`' containment reference list.
      See Also:
        `getRequirements()`
      Generated
      Ordered

    - #### sourceLocators

          protected EList<SourceLocator> sourceLocators

      The cached value of the '`Source Locators`' containment reference list.
      See Also:
        `getSourceLocators()`
      Generated
      Ordered

    - #### installableUnitGenerators

          protected EList<IUGenerator> installableUnitGenerators

      The cached value of the '`Installable Unit Generators`' containment reference list.
      See Also:
        `getInstallableUnitGenerators()`
      Generated
      Ordered

    - #### repositoryLists

          protected EList<RepositoryList> repositoryLists

      The cached value of the '`Repository Lists`' containment reference list.
      See Also:
        `getRepositoryLists()`
      Generated
      Ordered

    - #### ACTIVE_REPOSITORY_LIST_NAME_EDEFAULT

          protected static final String ACTIVE_REPOSITORY_LIST_NAME_EDEFAULT

      The default value of the '`Active Repository List Name`' attribute.
      See Also:
        `getActiveRepositoryListName()`
      Generated
      Ordered

    - #### activeRepositoryListName

          protected String activeRepositoryListName

      The cached value of the '`Active Repository List Name`' attribute.
      See Also:
        `getActiveRepositoryListName()`
      Generated
      Ordered

    - #### INCLUDE_SOURCES_EDEFAULT

          protected static final boolean INCLUDE_SOURCES_EDEFAULT

      The default value of the '`Include Sources`' attribute.
      See Also:
        `isIncludeSources()`, Constant Field Values
      Generated
      Ordered

    - #### includeSources

          protected boolean includeSources

      The cached value of the '`Include Sources`' attribute.
      See Also:
        `isIncludeSources()`
      Generated
      Ordered

    - #### INCLUDE_ALL_PLATFORMS_EDEFAULT

          protected static final boolean INCLUDE_ALL_PLATFORMS_EDEFAULT

      The default value of the '`Include All Platforms`' attribute.
      See Also:
        `isIncludeAllPlatforms()`, Constant Field Values
      Generated
      Ordered

    - #### includeAllPlatforms

          protected boolean includeAllPlatforms

      The cached value of the '`Include All Platforms`' attribute.
      See Also:
        `isIncludeAllPlatforms()`
      Generated
      Ordered

  - ### Constructor Detail

    - #### TargletImpl

          protected TargletImpl()

      Generated

  - ### Method Detail

    - #### eStaticClass

          protected EClass eStaticClass()

      Overrides:
        `eStaticClass` in class `ModelElementImpl`
      Generated

    - #### getName

          public String getName()

      Specified by:
        `getName` in interface `Targlet`
      Returns:
        the value of the 'Name' attribute.
      See Also:
        `Targlet.setName(String)`, `TargletPackage.getTarglet_Name()`
      Generated

    - #### setName

          public void setName(String newName)

      Specified by:
        `setName` in interface `Targlet`
      Parameters:
        `newName` - the new value of the 'Name' attribute.
      See Also:
        `Targlet.getName()`
      Generated

    - #### getRequirements

          public EList<Requirement> getRequirements()

      Specified by:
        `getRequirements` in interface `Targlet`
      Returns:
        the value of the 'Requirements' containment reference list.
      See Also:
        `TargletPackage.getTarglet_Requirements()`
      Generated

    - #### getSourceLocators

          public EList<SourceLocator> getSourceLocators()

      Specified by:
        `getSourceLocators` in interface `Targlet`
      Returns:
        the value of the 'Source Locators' containment reference list.
      See Also:
        `TargletPackage.getTarglet_SourceLocators()`
      Generated

    - #### getInstallableUnitGenerators

          public EList<IUGenerator> getInstallableUnitGenerators()

      Specified by:
        `getInstallableUnitGenerators` in interface `Targlet`
      Returns:
        the value of the 'Installable Unit Generators' containment reference list.
      See Also:
        `TargletPackage.getTarglet_InstallableUnitGenerators()`
      Generated

    - #### getRepositoryLists

          public EList<RepositoryList> getRepositoryLists()

      Specified by:
        `getRepositoryLists` in interface `Targlet`
      Returns:
        the value of the 'Repository Lists' containment reference list.
      See Also:
        `TargletPackage.getTarglet_RepositoryLists()`
      Generated

    - #### getActiveRepositoryListName

          public String getActiveRepositoryListName()

      Specified by:
        `getActiveRepositoryListName` in interface `Targlet`
      Returns:
        the value of the 'Active Repository List Name' attribute.
      See Also:
        `Targlet.setActiveRepositoryListName(String)`, `TargletPackage.getTarglet_ActiveRepositoryListName()`
      Generated

    - #### setActiveRepositoryListName

          public void setActiveRepositoryListName(String newActiveRepositoryListName)

      Specified by:
        `setActiveRepositoryListName` in interface `Targlet`
      Parameters:
        `newActiveRepositoryListName` - the new value of the 'Active Repository List Name' attribute.
      See Also:
        `Targlet.getActiveRepositoryListName()`
      Generated

    - #### getActiveRepositoryList

          public RepositoryList getActiveRepositoryList()

      Specified by:
        `getActiveRepositoryList` in interface `Targlet`
      Returns:
        the value of the 'Active Repository List' reference.
      See Also:
        `TargletPackage.getTarglet_ActiveRepositoryList()`
      Generated
        NOT

    - #### getActiveRepositories

          public EList<Repository> getActiveRepositories()

      Specified by:
        `getActiveRepositories` in interface `Targlet`
      Returns:
        the value of the 'Active Repositories' reference list.
      See Also:
        `TargletPackage.getTarglet_ActiveRepositories()`
      Generated
        NOT

    - #### isIncludeSources

          public boolean isIncludeSources()

      Specified by:
        `isIncludeSources` in interface `Targlet`
      Returns:
        the value of the 'Include Sources' attribute.
      See Also:
        `Targlet.setIncludeSources(boolean)`, `TargletPackage.getTarglet_IncludeSources()`
      Generated

    - #### setIncludeSources

          public void setIncludeSources(boolean newIncludeSources)

      Specified by:
        `setIncludeSources` in interface `Targlet`
      Parameters:
        `newIncludeSources` - the new value of the 'Include Sources' attribute.
      See Also:
        `Targlet.isIncludeSources()`
      Generated

    - #### isIncludeAllPlatforms

          public boolean isIncludeAllPlatforms()

      Specified by:
        `isIncludeAllPlatforms` in interface `Targlet`
      Returns:
        the value of the 'Include All Platforms' attribute.
      See Also:
        `Targlet.setIncludeAllPlatforms(boolean)`, `TargletPackage.getTarglet_IncludeAllPlatforms()`
      Generated

    - #### setIncludeAllPlatforms

          public void setIncludeAllPlatforms(boolean newIncludeAllPlatforms)

      Specified by:
        `setIncludeAllPlatforms` in interface `Targlet`
      Parameters:
        `newIncludeAllPlatforms` - the new value of the 'Include All Platforms' attribute.
      See Also:
        `Targlet.isIncludeAllPlatforms()`
      Generated

    - #### eInverseRemove

          public NotificationChain eInverseRemove(InternalEObject otherEnd,
                                         int featureID,
                                         NotificationChain msgs)

      Overrides:
        `eInverseRemove` in class `ModelElementImpl`
      Generated

    - #### eGet

          public Object eGet(int featureID,
                    boolean resolve,
                    boolean coreType)

      Specified by:
        `eGet` in interface `InternalEObject`
      Overrides:
        `eGet` in class `ModelElementImpl`
      Generated

    - #### eSet

          public void eSet(int featureID,
                  Object newValue)

      Specified by:
        `eSet` in interface `InternalEObject`
      Overrides:
        `eSet` in class `ModelElementImpl`
      Generated

    - #### eUnset

          public void eUnset(int featureID)

      Specified by:
        `eUnset` in interface `InternalEObject`
      Overrides:
        `eUnset` in class `ModelElementImpl`
      Generated

    - #### eIsSet

          public boolean eIsSet(int featureID)

      Specified by:
        `eIsSet` in interface `InternalEObject`
      Overrides:
        `eIsSet` in class `ModelElementImpl`
      Generated

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `BasicEObjectImpl`
      Generated

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html